Bug 244382 - www/wordpress: Add missing php72-json dependency
Summary: www/wordpress: Add missing php72-json dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL: https://make.wordpress.org/core/2019/...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-02-24 21:47 UTC by bgdnlp
Modified: 2020-05-10 14:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (joneum)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bgdnlp 2020-02-24 21:47:39 UTC
Without php-json extension Wordpress 5.3.2 fails during a fresh install with the following in Nginx error log:


[error] 9437#100173: *5 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Uncaught Error: Call to undefined function json_decode() in /usr/local/www/wordpress/wp-includes/class-wp-block-parser.php:232
Stack trace:
#0 /usr/local/www/wordpress/wp-includes/blocks.php(521): WP_Block_Parser->parse('email@address.spam')
#1 /usr/local/www/wordpress/wp-includes/blocks.php(274): parse_blocks('email@address.spam')
(...)


Also, with php72-json installed it suggests a password during install and warns against weak passwords. Without php72-json it just asked for the password twice. There are probably more differences later.


This post has more details: https://make.wordpress.org/core/2019/10/15/php-native-json-extension-now-required/
Comment 1 Jochen Neumeister freebsd_committer 2020-03-03 08:52:21 UTC
thanks for the PR. I'll put that in the next wordpress update. Then all wordpress ports have to be adjusted here
Comment 2 commit-hook freebsd_committer 2020-05-10 13:52:30 UTC
A commit references this bug:

Author: joneum
Date: Sun May 10 13:51:40 UTC 2020
New revision: 534850
URL: https://svnweb.freebsd.org/changeset/ports/534850

Log:
  Update to 5.3.3

  Add php-json support [1]

  PR:		244382 [1]
  Sponsored by:	Netzkommune GmbH

Changes:
  head/chinese/wordpress-zh_CN/Makefile
  head/chinese/wordpress-zh_CN/distinfo
  head/chinese/wordpress-zh_TW/Makefile
  head/chinese/wordpress-zh_TW/distinfo
  head/french/wordpress/Makefile
  head/french/wordpress/distinfo
  head/german/wordpress/Makefile
  head/german/wordpress/distinfo
  head/japanese/wordpress/Makefile
  head/japanese/wordpress/distinfo
  head/russian/wordpress/Makefile
  head/russian/wordpress/distinfo
  head/www/wordpress/Makefile
  head/www/wordpress/distinfo
Comment 3 commit-hook freebsd_committer 2020-05-10 13:56:32 UTC
A commit references this bug:

Author: joneum
Date: Sun May 10 13:56:20 UTC 2020
New revision: 534851
URL: https://svnweb.freebsd.org/changeset/ports/534851

Log:
  MFH: r534850

  Update to 5.3.3

  Add php-json support [1]

  PR:		244382 [1]
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/chinese/wordpress-zh_CN/Makefile
  branches/2020Q2/chinese/wordpress-zh_CN/distinfo
  branches/2020Q2/chinese/wordpress-zh_TW/Makefile
  branches/2020Q2/chinese/wordpress-zh_TW/distinfo
  branches/2020Q2/french/wordpress/Makefile
  branches/2020Q2/french/wordpress/distinfo
  branches/2020Q2/german/wordpress/Makefile
  branches/2020Q2/german/wordpress/distinfo
  branches/2020Q2/japanese/wordpress/Makefile
  branches/2020Q2/japanese/wordpress/distinfo
  branches/2020Q2/russian/wordpress/Makefile
  branches/2020Q2/russian/wordpress/distinfo
  branches/2020Q2/www/wordpress/Makefile
  branches/2020Q2/www/wordpress/distinfo